summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-12-15 12:12:17 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-12-15 13:58:34 +0100
commitb5f0806e00fadca2d0c9819e9ab46b0d4c2da58f (patch)
tree651d11303c1a4fdb7aae0dd382ce043ffb840404 /kde-frameworks/kdelibs4support
parentapp-emulation/qemu: bump up to 4.2.0, bug #702036 (diff)
downloadgentoo-b5f0806e00fadca2d0c9819e9ab46b0d4c2da58f.tar.gz
gentoo-b5f0806e00fadca2d0c9819e9ab46b0d4c2da58f.tar.bz2
gentoo-b5f0806e00fadca2d0c9819e9ab46b0d4c2da58f.zip
kde-frameworks: Add KDE Frameworks 5.65
Package-Manager: Portage-2.3.81, Repoman-2.3.20 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/kdelibs4support')
-rw-r--r--kde-frameworks/kdelibs4support/Manifest1
-rw-r--r--kde-frameworks/kdelibs4support/kdelibs4support-5.65.0.ebuild96
2 files changed, 97 insertions, 0 deletions
diff --git a/kde-frameworks/kdelibs4support/Manifest b/kde-frameworks/kdelibs4support/Manifest
index 53667303136..72e8dc606e8 100644
--- a/kde-frameworks/kdelibs4support/Manifest
+++ b/kde-frameworks/kdelibs4support/Manifest
@@ -1 +1,2 @@
DIST kdelibs4support-5.64.0.tar.xz 3517040 BLAKE2B 5df22c4d02aa1ce6e980a6ba8d4ce53430ddc8eeb518be95b75aaa491703954f683db9db8d62077a882bfa0cb961600c604582372ea86511d8296239f24039a5 SHA512 7c87b2e02e569e684bb7532421ced3f8bb28171b899cfecc05f16e8e30b64515812c80a3ca3c79d4af7e2cfd5bd7b7fbbf586559948207193adb2692e57de433
+DIST kdelibs4support-5.65.0.tar.xz 3514060 BLAKE2B 5050b8a1c27564511a2d7e1b8e577e0d16c32e258b7096c76f0356f4361530fbfd68ed39b4aab593bc4a0726b9b0a47d5e261f236fa0426b0d2faaf85b7fb93a SHA512 5d41561a28999d460099fc97e69ba76340f9f46e67725dd9a66a5f8fdf5e6395f17908f997ecf84656d3fb7712490772df561a4122da946041f2c85d2053f341
diff --git a/kde-frameworks/kdelibs4support/kdelibs4support-5.65.0.ebuild b/kde-frameworks/kdelibs4support/kdelibs4support-5.65.0.ebuild
new file mode 100644
index 00000000000..35c41db0df7
--- /dev/null
+++ b/kde-frameworks/kdelibs4support/kdelibs4support-5.65.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="true"
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.12.3
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Framework easing the development transition from KDELibs 4 to KF 5"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="libressl X"
+
+BDEPEND="
+ dev-lang/perl
+ dev-perl/URI
+"
+COMMON_DEPEND="
+ >=kde-frameworks/kauth-${PVCUT}:5
+ >=kde-frameworks/kcodecs-${PVCUT}:5
+ >=kde-frameworks/kcompletion-${PVCUT}:5
+ >=kde-frameworks/kconfig-${PVCUT}:5
+ >=kde-frameworks/kconfigwidgets-${PVCUT}:5
+ >=kde-frameworks/kcoreaddons-${PVCUT}:5
+ >=kde-frameworks/kcrash-${PVCUT}:5
+ >=kde-frameworks/kdbusaddons-${PVCUT}:5
+ >=kde-frameworks/kded-${PVCUT}:5
+ >=kde-frameworks/kdesignerplugin-${PVCUT}:5
+ >=kde-frameworks/kdoctools-${PVCUT}:5
+ >=kde-frameworks/kemoticons-${PVCUT}:5
+ >=kde-frameworks/kglobalaccel-${PVCUT}:5
+ >=kde-frameworks/kguiaddons-${PVCUT}:5
+ >=kde-frameworks/ki18n-${PVCUT}:5
+ >=kde-frameworks/kiconthemes-${PVCUT}:5
+ >=kde-frameworks/kio-${PVCUT}:5
+ >=kde-frameworks/kitemviews-${PVCUT}:5
+ >=kde-frameworks/kjobwidgets-${PVCUT}:5
+ >=kde-frameworks/knotifications-${PVCUT}:5
+ >=kde-frameworks/kparts-${PVCUT}:5
+ >=kde-frameworks/kservice-${PVCUT}:5
+ >=kde-frameworks/ktextwidgets-${PVCUT}:5
+ >=kde-frameworks/kunitconversion-${PVCUT}:5
+ >=kde-frameworks/kwidgetsaddons-${PVCUT}:5
+ >=kde-frameworks/kwindowsystem-${PVCUT}:5
+ >=kde-frameworks/kxmlgui-${PVCUT}:5
+ >=kde-frameworks/solid-${PVCUT}:5
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5[ssl]
+ >=dev-qt/qtprintsupport-${QTMIN}:5
+ >=dev-qt/qtsvg-${QTMIN}:5
+ >=dev-qt/qttest-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ app-text/docbook-xml-dtd:4.2
+ virtual/libintl
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ X? (
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libxcb
+ )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-qt/designer-${QTMIN}:5
+ test? ( >=dev-qt/qtconcurrent-${QTMIN}:5 )
+ X? ( x11-base/xorg-proto )
+"
+RDEPEND="${COMMON_DEPEND}
+ >=kde-frameworks/kinit-${PVCUT}:5
+ >=kde-frameworks/kitemmodels-${PVCUT}:5
+ >=dev-qt/qtxml-${QTMIN}:5
+"
+
+RESTRICT+=" test"
+
+src_prepare() {
+ ecm_src_prepare
+ if ! use handbook; then
+ sed -e "/kdoctools_install/ s/^/#DONT/" -i CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package X X11)
+ )
+
+ ecm_src_configure
+}